Bug 16074 - Making frequencies actions buttons
Summary: Making frequencies actions buttons
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Serials (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-03-15 06:16 UTC by Aleisha Amohia
Modified: 2016-12-05 21:27 UTC (History)
3 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16074: Making frequencies actions buttons (1.96 KB, patch)
2016-03-15 06:19 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 16074: Making frequencies actions buttons (2.30 KB, patch)
2016-03-15 06:37 UTC, Aleisha Amohia
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 16074: Making frequencies actions buttons (2.45 KB, patch)
2016-03-15 12:35 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 16074: Making frequencies actions buttons (2.47 KB, patch)
2016-03-16 08:25 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16074: Making frequencies actions buttons (3.03 KB, patch)
2016-03-17 22:13 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 16074: Making frequencies actions buttons (2.47 KB, patch)
2016-03-18 07:57 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16074: Replace Modify with Edit (1.98 KB, patch)
2016-03-18 07:57 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2016-03-15 06:16:28 UTC

    
Comment 1 Aleisha Amohia 2016-03-15 06:19:10 UTC Comment hidden (obsolete)
Comment 2 Aleisha Amohia 2016-03-15 06:37:28 UTC Comment hidden (obsolete)
Comment 3 Owen Leonard 2016-03-15 12:35:12 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2016-03-16 08:25:30 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2016-03-16 08:25:46 UTC
Should not we replace "Modify" with "Edit"?
Comment 6 Aleisha Amohia 2016-03-17 22:05:55 UTC
(In reply to Jonathan Druart from comment #5)
> Should not we replace "Modify" with "Edit"?

I've always thought that 'Modify' should be 'Edit' when making patches like this but I was never sure if 'Modify' was there for a reason or not. I can easily change them all though.
Comment 7 Aleisha Amohia 2016-03-17 22:13:35 UTC Comment hidden (obsolete)
Comment 8 Jonathan Druart 2016-03-18 07:57:08 UTC
Created attachment 49297 [details] [review]
Bug 16074: Making frequencies actions buttons

To test:

1) Go to Serials -> Manage frequencies
2) Confirm that buttons 'Modify' and 'Delete' show as buttons and work
   as expected
3) Confirm that when you make your window narrow, the column with the
   buttons does not wrap
4) Confirm that column heading is now 'Actions'

Sponsored-by: Catalyst IT
Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Buttons look correct and work correctly.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 9 Jonathan Druart 2016-03-18 07:57:53 UTC
Created attachment 49298 [details] [review]
Bug 16074: Replace Modify with Edit

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 10 Jonathan Druart 2016-03-18 07:59:42 UTC
Aleisha, when a bug report has passed qa, please do not modify patches which have been signed off/QAed.
The best is to provide a follow-up: the changes are easier to read and you won't need to request another signoff.
Comment 11 Aleisha Amohia 2016-03-18 08:00:48 UTC
(In reply to Jonathan Druart from comment #10)
> Aleisha, when a bug report has passed qa, please do not modify patches which
> have been signed off/QAed.
> The best is to provide a follow-up: the changes are easier to read and you
> won't need to request another signoff.

I was wondering about that! Thanks for letting me know :)
Comment 12 Brendan Gallagher 2016-03-23 19:26:38 UTC
Pushed to Master - Should be in the May 2016 release.  Thanks!